Bug 1753495 (CVE-2019-11251) - CVE-2019-11251 kubernetes: `kubectl cp` allows for arbitrary file write via double symlinks
Summary: CVE-2019-11251 kubernetes: `kubectl cp` allows for arbitrary file write via d...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11251
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1753496 1753497 1755141 1755142 1753500 1753501 1753502 1753503 1753504 1764923
Blocks: 1753498
TreeView+ depends on / blocked
 
Reported: 2019-09-19 06:14 UTC by Dhananjay Arunesh
Modified: 2019-12-10 01:17 UTC (History)
30 users (show)

Fixed In Version: kubernetes 1.15.4, kubernetes 1.14.7, kubernetes 1.13.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-30 18:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3820 None None None 2019-11-11 09:57:42 UTC
Red Hat Product Errata RHBA-2019:3907 None None None 2019-11-18 21:44:13 UTC
Red Hat Product Errata RHBA-2019:4059 None None None 2019-12-03 08:51:13 UTC
Red Hat Product Errata RHBA-2019:4122 None None None 2019-12-10 01:17:47 UTC
Red Hat Product Errata RHSA-2019:3266 None None None 2019-10-30 18:29:50 UTC
Red Hat Product Errata RHSA-2019:3267 None None None 2019-10-30 18:38:30 UTC
Red Hat Product Errata RHSA-2019:3811 None None None 2019-11-07 16:54:24 UTC
Red Hat Product Errata RHSA-2019:3905 None None None 2019-11-18 16:22:00 UTC

Description Dhananjay Arunesh 2019-09-19 06:14:19 UTC
A vulnerability has been discovered in `kubectl cp` that allows a
combination of two  symlinks to copy a file outside of its destination
directory. This could be used to allow an attacker to place a netfarious
file using a symlink, outside of the destination tree.

Reference:
https://github.com/kubernetes/kubernetes/pull/82143
https://github.com/kubernetes/kubernetes/pull/82143
https://github.com/kubernetes/kubernetes/pull/82384
https://github.com/kubernetes/kubernetes/pull/82502
https://github.com/kubernetes/kubernetes/pull/82503

Comment 1 Dhananjay Arunesh 2019-09-19 06:15:20 UTC
Created kubernetes tracking bugs for this issue:

Affects: fedora-all [bug 1753496]


Created kubernetes:1.10/kubernetes tracking bugs for this issue:

Affects: fedora-all [bug 1753497]

Comment 7 Hardik Vyas 2019-09-20 14:29:12 UTC
heketi shipped with Gluster uses very old Kubernetes version which does not provide support for symlink in 'kubectl cp'.

Comment 8 Hardik Vyas 2019-09-20 14:29:16 UTC
Statement:

This issue did not affect the version of Kubernetes(embedded in heketi) shipped with Red Hat Gluster Storage 3 as it does not include the symlink support for kubectl cp.

Comment 11 errata-xmlrpc 2019-10-30 18:29:46 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:3266 https://access.redhat.com/errata/RHSA-2019:3266

Comment 12 errata-xmlrpc 2019-10-30 18:38:26 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:3267 https://access.redhat.com/errata/RHSA-2019:3267

Comment 13 Product Security DevOps Team 2019-10-30 18:51:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11251

Comment 14 errata-xmlrpc 2019-11-07 16:54:23 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.9

Via RHSA-2019:3811 https://access.redhat.com/errata/RHSA-2019:3811

Comment 15 errata-xmlrpc 2019-11-18 16:21:58 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3905 https://access.redhat.com/errata/RHSA-2019:3905


Note You need to log in before you can comment on or make changes to this bug.